#ifndef NEOFX_TYPES_H
#define NEOFX_TYPES_H

typedef union _MATRIX {
	float m[4][4];
	float f[16];
} MATRIX;

typedef struct _VECTOR_VERTEX_ROTATION {
	float x, y, z;
} VECTOR, VERTEX, ROTATION;

typedef struct _TEXCOORDS {
	float s, t;
} TEXCOORDS;

typedef struct _TRIANGLE {
	VERTEX vertices[3];
	VECTOR normal;
} TRIANGLE;

typedef struct _OBJECT {
	VERTEX pos;
	VECTOR move;
	ROTATION rot;
	float air_resistance;
	float bounce;
} OBJECT;

#endif
